Skip to main content
Topic: openshot errors (Read 416 times) previous topic - next topic
0 Members and 1 Guest are viewing this topic.

openshot errors

I am sorry for bothering folks again with this but openshot seems to be broken again and I did an upgrade of it which was rebuilt from git using yay with no success :(

I really need this application to work and this is over my head currently.

Code: [Select]
INFO app: ------------------------------------------------
INFO app:             Tue Aug 23 20:40:38 2022           
INFO app:               Starting new session             
ERROR app: OpenShotApp::Import Error
Traceback (most recent call last):
  File "/usr/lib/python3.10/site-packages/openshot_qt/classes/app.py", line 100, in __init__
    from classes import settings, project_data, updates, sentry
  File "/usr/lib/python3.10/site-packages/openshot_qt/classes/project_data.py", line 48, in <module>
    import openshot
  File "/usr/lib/python3.10/site-packages/openshot.py", line 15, in <module>
    import _openshot
ImportError: libopencv_core.so.405: cannot open shared object file: No such file or directory
Traceback (most recent call last):
  File "/usr/lib/python3.10/site-packages/openshot_qt/launch.py", line 189, in main
    app = OpenShotApp(argv)
  File "/usr/lib/python3.10/site-packages/openshot_qt/classes/app.py", line 100, in __init__
    from classes import settings, project_data, updates, sentry
  File "/usr/lib/python3.10/site-packages/openshot_qt/classes/project_data.py", line 48, in <module>
    import openshot
  File "/usr/lib/python3.10/site-packages/openshot.py", line 15, in <module>
    import _openshot
ImportError: libopencv_core.so.405: cannot open shared object file: No such file or directory

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/openshot-qt", line 33, in <module>
    sys.exit(load_entry_point('openshot-qt==2.6.1.dev0', 'gui_scripts', 'openshot-qt')())
  File "/usr/lib/python3.10/site-packages/openshot_qt/launch.py", line 191, in main
    app.show_errors()
AttributeError: 'NoneType' object has no attribute 'show_errors'
INFO app:             OpenShot's session ended           
INFO app:             Tue Aug 23 20:40:38 2022           
INFO app: ================================================

Re: openshot errors

Reply #1
Have you got universe enabled?
https://wiki.artixlinux.org/Main/Repositories
The artix-archlinux-support package was moved there recently, perhaps your Arch repo stuff is out of sync as installing openshot here just now saw the app window start up OK, unless there's some other action when using it that causes those messages.

Re: openshot errors

Reply #2
I installed it from Arch community repo (not the AUR) and it's working fine.

Re: openshot errors

Reply #3
I manually built the current openshot-3.0.0-3-any package.
Once installed, the application functioned normally.